#!/usr/bin/python
"""Define upgrade-charm pre-req hooks."""

import sys

import setup

setup.pre_install()

from hooks import hookenv, hooks  # noqa: E402, I100

if __name__ == "__main__":
    try:
        hooks.execute(sys.argv)
    except hookenv.UnregisteredHookError as e:
        hookenv.log("Unknown hook {} - skipping.".format(e))
