#!/usr/bin/env python
"""Test actions for thruk-agent charm."""

import unittest.mock as mock
import actions  # noqa


@mock.patch("charmhelpers.core.hookenv.log")
def test_log_start(log):
    """Test the log-start action."""
    actions.log_start("test-service")
    log.assert_called_once_with("thruk-agent starting")
